# Use a lightweight base image
FROM python:3.9-slim

# Set the working directory
WORKDIR /app

# Copy the Python file into the container
COPY app.py /app

# Install necessary dependencies
RUN pip install Flask requests flask_cors

# Expose the port the app runs on
EXPOSE 3000

# Run the application
CMD ["python", "app.py"]

